Bug 870137 - error: rpmdb open failed
error: rpmdb open failed
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
abrt_hash:edb30f20ffa33074d3d6f0220a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 11:54 EDT by George Beshers
Modified: 2015-06-29 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 12:35:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: release (58 bytes, text/plain)
2012-10-25 11:54 EDT, George Beshers
no flags Details
File: anaconda.log (34.88 KB, text/plain)
2012-10-25 11:54 EDT, George Beshers
no flags Details
File: type (9 bytes, text/plain)
2012-10-25 11:54 EDT, George Beshers
no flags Details
File: ifcfg.log (651 bytes, text/plain)
2012-10-25 11:54 EDT, George Beshers
no flags Details
File: storage.log (243.40 KB, text/plain)
2012-10-25 11:54 EDT, George Beshers
no flags Details
File: version (3 bytes, text/plain)
2012-10-25 11:55 EDT, George Beshers
no flags Details
File: environ (764 bytes, text/plain)
2012-10-25 11:55 EDT, George Beshers
no flags Details
File: product (24 bytes, text/plain)
2012-10-25 11:55 EDT, George Beshers
no flags Details
File: syslog (89.83 KB, text/plain)
2012-10-25 11:55 EDT, George Beshers
no flags Details
File: install.log (88.93 KB, text/plain)
2012-10-25 11:55 EDT, George Beshers
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-25 11:55 EDT, George Beshers
no flags Details
File: packaging.log (19.74 KB, text/plain)
2012-10-25 11:55 EDT, George Beshers
no flags Details
File: cmdline_file (91 bytes, text/plain)
2012-10-25 11:55 EDT, George Beshers
no flags Details
File: anaconda-tb (583.77 KB, text/plain)
2012-10-25 11:55 EDT, George Beshers
no flags Details
File: program.log (50.29 KB, text/plain)
2012-10-25 11:55 EDT, George Beshers
no flags Details

  None (edit)
Description George Beshers 2012-10-25 11:54:48 EDT
Description of problem:

Failed after trying to do a customized disk partitioning.

Disk partitioning GUI doesn't indicate which partitions are getting mkfs
and which are being preserved.

This is nightly 10/22.


Version-Release number of selected component:
anaconda-18.19

Additional info:
libreport version: 2.0.16
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-0.28.el7.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.19 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/rpmUtils/transaction.py", line 58, in dbMatch
:    mi = self.ts.dbMatch(*args, **kwds)
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1212, in _get_packages
:    mi = ts.dbMatch(*args, **kwds)
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1258, in _search
:    for hdr, idx in mi:
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1193, in searchNames
:    returnList.extend(self._search(name=name))
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4480, in install
:    ipkgs = self.rpmdb.searchNames([po.name])
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 3597, in selectGroup
:    pkg_warning_level='debug2')
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 957, in _selectYumGroup
:    self._yum.selectGroup(groupid, group_package_types=pkg_types)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1064, in _applyYumSelections
:    self._selectYumGroup("core")
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1112, in checkSoftwareSelection
:    self._applyYumSelections()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1191, in preInstall
:    self.checkSoftwareSelection()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 117, in doInstall
:    payload.preInstall(packages=packages, groups=payload.languageGroups(ksdata.lang.lang))
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:error: rpmdb open failed
Comment 1 George Beshers 2012-10-25 11:54:50 EDT
Created attachment 633436 [details]
File: release
Comment 2 George Beshers 2012-10-25 11:54:52 EDT
Created attachment 633437 [details]
File: anaconda.log
Comment 3 George Beshers 2012-10-25 11:54:54 EDT
Created attachment 633438 [details]
File: type
Comment 4 George Beshers 2012-10-25 11:54:57 EDT
Created attachment 633439 [details]
File: ifcfg.log
Comment 5 George Beshers 2012-10-25 11:54:59 EDT
Created attachment 633440 [details]
File: storage.log
Comment 6 George Beshers 2012-10-25 11:55:01 EDT
Created attachment 633441 [details]
File: version
Comment 7 George Beshers 2012-10-25 11:55:09 EDT
Created attachment 633442 [details]
File: environ
Comment 8 George Beshers 2012-10-25 11:55:11 EDT
Created attachment 633443 [details]
File: product
Comment 9 George Beshers 2012-10-25 11:55:13 EDT
Created attachment 633444 [details]
File: syslog
Comment 10 George Beshers 2012-10-25 11:55:15 EDT
Created attachment 633445 [details]
File: install.log
Comment 11 George Beshers 2012-10-25 11:55:16 EDT
Created attachment 633446 [details]
File: hashmarkername
Comment 12 George Beshers 2012-10-25 11:55:18 EDT
Created attachment 633447 [details]
File: packaging.log
Comment 13 George Beshers 2012-10-25 11:55:20 EDT
Created attachment 633448 [details]
File: cmdline_file
Comment 14 George Beshers 2012-10-25 11:55:22 EDT
Created attachment 633449 [details]
File: anaconda-tb
Comment 15 George Beshers 2012-10-25 11:55:24 EDT
Created attachment 633450 [details]
File: program.log
Comment 16 Chris Lumens 2012-11-20 10:13:08 EST
Are you still seeing this with more recent trees?
Comment 18 David Cantrell 2013-12-11 12:35:24 EST
Please retest under RHEL 7.0 beta or later.  If the problem is still happening, feel free to reopen the bug.  If you do reopen the bug, be sure to include steps to reproduce the problem.
Comment 19 George Beshers 2015-06-29 11:37:24 EDT
This has not been a problem since RHEL-7.0ga.

Note You need to log in before you can comment on or make changes to this bug.